Subject: Re: bug#24663: 24.5; doc string of `completion-at-point-functions'

From: Eli Zaretskii <[email-masked]>
Date: Thu, 13 Oct 2016 23:06:09 +0300

> Date: Thu, 13 Oct 2016 12:46:19 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > I changed that to say "the entity at point" because the rest of the
> > doc string refers to that.
> 
> 1. It cannot be "THE" thing (or THE entity) at point.  Which one?

The one at point.

> You can get different kinds of thing at point.  You must provide
> the desired THING type, for "thing at point" to mean anything.

My understanding is that it's up to the hooks.

> 2. I don't see how/why saying "entity" changes anything, here.
> "THE" entity?  What is that?

Then I guess I will say that I don't want to fix that part.

> 3. It is not text AT point that is completed.  It is text BEFORE
> point that is completed.  AT can only refer to characters after
> point, not before.

The doc string doesn't say "text", it says "entity".  IOW, it doesn't
talk about characters.